What are the minimum requirements needed for iOS and Android to be able to use the app properly?